For the complete documentation index, see llms.txt. This page is also available as Markdown.

Backups and archives

Get list of backups & archives

get

Returns a paginated list of backup and archive jobs with customizable page size. You can also select backup/archive types, date range, order, and sort field.

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
connectionIdnumberErforderlich
Abfrageparameter
searchstringOptional

Search term (max 80)

pagenumberErforderlich

Number of page (min 1)

Example: 1
limitnumberErforderlich

Limit of entities per page (min 1, max 2000)

Example: 50
isIncludeMetadatabooleanOptional
startedDatestringOptionalExample: 2020-01-01T00:00:00.000Z
endDatestringOptionalExample: 2026-05-20T09:00:43.285Z
sortBystring · enumOptionalExample: jobIdMögliche Werte:
orderstring · enumOptionalExample: DESCMögliche Werte:
Antworten
200

Returns a paginated list of Backups & Archives

application/json
totalnumberErforderlich

Total number of entities.

Example: 1
get/api/v1/connections/{connectionId}/backups
GET /api/v1/connections/{connectionId}/backups?page=1&limit=1&types=full&statuses=In+Progress HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "items": [
    {
      "id": 1,
      "name": "My backup",
      "jobId": 1,
      "jobStatus": "In Progress",
      "startedDate": "2026-01-01T00:00:00.000Z",
      "duration": "text",
      "size": 1,
      "records": 1,
      "operationType": "Templated Archive"
    }
  ]
}

Create backup

post

Creates a backup job. You must use one of the supported backup types: full or template. The templateId parameter is optional and should only be provided for template backups

Autorisierungen
AuthorizationstringErforderlich

Bearer <access_token>

Pfadparameter
connectionIdnumberErforderlich
Body
namestringErforderlich

Backup or archive name.

Example: My backup
descriptionstringErforderlichExample: This is my backup
modestring · enumErforderlichExample: fullMögliche Werte:
Antworten
201Erfolg
application/json
messagestringErforderlich
post/api/v1/connections/{connectionId}/backups/backup
POST /api/v1/connections/{connectionId}/backups/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335

{
  "name": "My backup",
  "description": "This is my backup",
  "settings": {
    "isIncludeMetadata": true,
    "isIncludeBinaryObjects": true,
    "isIncludeBigObjects": true,
    "isIncludeFeedObjects": true,
    "isIncludeShareObjects": true,
    "isIncludeHistoryObjects": true,
    "isIncludeCustomMetadataTypeObjects": true,
    "isIncludeTagObjects": true,
    "templateId": 1
  },
  "mode": "full"
}
{
  "message": "text"
}

Zuletzt aktualisiert

War das hilfreich?